Bug 929214 (Net_IMAP) - Review Request: php-pear-Net-IMAP - Provides an implementation of the IMAP protocol
Summary: Review Request: php-pear-Net-IMAP - Provides an implementation of the IMAP pr...
Status: CLOSED ERRATA
Alias: Net_IMAP
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Shawn Iwinski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
: 929187 (view as bug list)
Depends On:
Blocks: Horde_Kolab_Storage
TreeView+ depends on / blocked
 
Reported: 2013-03-29 14:13 UTC by Remi Collet
Modified: 2013-04-21 18:47 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-04-16 00:11:56 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
shawn: fedora-review+
limburgher: fedora-cvs+


Attachments (Terms of Use)
fedora-review (6.90 KB, text/plain)
2013-04-04 19:27 UTC, Shawn Iwinski
no flags Details
phpci (12.58 KB, text/x-log)
2013-04-04 19:28 UTC, Shawn Iwinski
no flags Details

Description Remi Collet 2013-03-29 14:13:28 UTC
Spec URL: https://raw.github.com/remicollet/remirepo/397417bfc039aba914458e668d039985d463f99a/php/pear/php-pear-Net-IMAP/php-pear-Net-IMAP.spec
SRPM URL: http://rpms.famillecollet.com/SRPMS/php-pear-Net-IMAP-1.1.2-1.remi.src.rpm
Description: 
Provides an implementation of the IMAP4Rev1 protocol using PEAR's
Net_Socket and the optional Auth_SASL class.


Fedora Account System Username: remi

Comment 1 Remi Collet 2013-03-29 14:14:54 UTC
*** Bug 929187 has been marked as a duplicate of this bug. ***

Comment 2 Shawn Iwinski 2013-04-01 19:36:57 UTC
Can you verify the license(s) for this package?  package.xml lists "PHP", but "tests/IMAPTest.php" and "tests/settings.php.sample" list GPL, and "docs/test_IMAPProtocol.php" and "docs/test_IMAP.php" specifically list PHP v2.

Comment 3 Remi Collet 2013-04-03 14:28:31 UTC
Good catch for the license issue (I must admit I have only check the Net/* files)
Reported to upstream. But as this package is "not maintained" don't know if we'll get an update. I hope Pear QA team will take care of this).

So fixing this in the package.
https://github.com/remicollet/remirepo/commit/e8fb49a5504a3a7f015bc961fbea7c11f4513373

Spec: https://raw.github.com/remicollet/remirepo/e8fb49a5504a3a7f015bc961fbea7c11f4513373/php/pear/php-pear-Net-IMAP/php-pear-Net-IMAP.spec
Srpm: http://rpms.famillecollet.com/SRPMS/php-pear-Net-IMAP-1.1.2-2.remi.src.rpm

Comment 4 Shawn Iwinski 2013-04-04 19:27:23 UTC
Created attachment 731701 [details]
fedora-review

Generated by fedora-review 0.4.0 (660ce56) last change: 2013-01-29
Buildroot used: fedora-rawhide-x86_64
Command line :/usr/bin/fedora-review --mock-config=fedora-rawhide-x86_64 -b 929214

Comment 5 Shawn Iwinski 2013-04-04 19:28:30 UTC
Created attachment 731702 [details]
phpci

phpci version 2.13.2

Comment 6 Shawn Iwinski 2013-04-04 19:29:14 UTC
No blockers.

===== APPROVED =====

Comment 7 Remi Collet 2013-04-05 05:48:28 UTC
Thanks !


New Package SCM Request
=======================
Package Name: php-pear-Net-IMAP
Short Description: Provides an implementation of the IMAP protocol 
Owners: remi
Branches: el5 el6 f18 f19
InitialCC:

Comment 8 Gwyn Ciesla 2013-04-05 12:37:05 UTC
Git done (by process-git-requests).

Comment 9 Fedora Update System 2013-04-05 13:57:52 UTC
php-pear-Net-IMAP-1.1.2-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/php-pear-Net-IMAP-1.1.2-2.fc18

Comment 10 Fedora Update System 2013-04-05 13:58:11 UTC
php-pear-Net-IMAP-1.1.2-2.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/php-pear-Net-IMAP-1.1.2-2.el5

Comment 11 Fedora Update System 2013-04-05 13:58:22 UTC
php-pear-Net-IMAP-1.1.2-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/php-pear-Net-IMAP-1.1.2-2.el6

Comment 12 Fedora Update System 2013-04-05 22:34:32 UTC
php-pear-Net-IMAP-1.1.2-2.el6 has been pushed to the Fedora EPEL 6 testing repository.

Comment 13 Fedora Update System 2013-04-12 10:17:59 UTC
php-pear-Net-IMAP-1.1.2-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/php-pear-Net-IMAP-1.1.2-2.fc19

Comment 14 Fedora Update System 2013-04-16 00:11:59 UTC
php-pear-Net-IMAP-1.1.2-2.fc18 has been pushed to the Fedora 18 stable repository.

Comment 15 Fedora Update System 2013-04-20 19:57:34 UTC
php-pear-Net-IMAP-1.1.2-2.fc19 has been pushed to the Fedora 19 stable repository.

Comment 16 Fedora Update System 2013-04-21 18:47:11 UTC
php-pear-Net-IMAP-1.1.2-2.el6 has been pushed to the Fedora EPEL 6 stable repository.

Comment 17 Fedora Update System 2013-04-21 18:47:34 UTC
php-pear-Net-IMAP-1.1.2-2.el5 has been pushed to the Fedora EPEL 5 stable repository.


Note You need to log in before you can comment on or make changes to this bug.